USE [AdventureWorks]
GO

/****** Object:  Table [dbo].[tblTree1]    Script Date: 12/21/2014 23:43:46 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[tblTree1]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[tblTree1](
	[ID_Tree1] [int] IDENTITY(1,1) NOT NULL,
	[ID_Parent] [int] NOT NULL,
	[Tree1_Text] [nvarchar](255) NOT NULL,
	[time_stamp] [timestamp] NOT NULL,
 CONSTRAINT [tblTree1_PK] PRIMARY KEY NONCLUSTERED 
(
	[ID_Tree1] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[tblTree1]') AND name = N'ID_Parent')
CREATE NONCLUSTERED INDEX [ID_Parent] ON [dbo].[tblTree1] 
(
	[ID_Parent] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO

INSERT INTO [dbo].[tblTree1]
           ([ID_Parent],[Tree1_Text])
SELECT 0 AS ID_Parent,'Root' AS Tree1_Text
UNION ALL
SELECT 1,'Branch 1'
UNION ALL
SELECT 1,'Branch 2'
UNION ALL
SELECT 1,'Branch 3'
UNION ALL
SELECT 2,'Twig 1-1'
UNION ALL
SELECT 2,'Twig 2-1'
UNION ALL
SELECT 2,'Twig 3-1'
UNION ALL
SELECT 3,'Twig 1-2'
UNION ALL
SELECT 3,'Twig 2-2'
UNION ALL
SELECT 3,'Twig 3-2'
UNION ALL
SELECT 3,'Twig 4-2'
UNION ALL
SELECT 4,'Twig 1-3'
UNION ALL
SELECT 4,'Twig 2-3'
UNION ALL
SELECT 4,'Twig 3-3'
UNION ALL
SELECT 4,'Twig 4-3'
UNION ALL
SELECT 4,'Twig 5-3'
UNION ALL
SELECT 7,'Twig 1-3-1'
UNION ALL
SELECT 7,'Twig 2-3-1'
UNION ALL
SELECT 7,'Twig 3-3-1'
UNION ALL
SELECT 9,'Twig 1-2-2'
UNION ALL
SELECT 9,'Twig 2-2-2'
UNION ALL
SELECT 9,'Twig 3-2-2'
